Panda3D

- Main Page
- Packages
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions

# SimpleLruPage Class Reference

One atomic piece that may be managed by a SimpleLru chain. More...

Inheritance diagram for SimpleLruPage:

List of all members.

## Public Member Functions
| SimpleLruPage (SimpleLruPage const copy)
| SimpleLruPage (unsigned int lru_size)
| dequeueLru ()
| Removes the page from its SimpleLru.
| enqueueLru (SimpleLru lru)
| Adds the page to the LRU for the first time, or marks it recently-accessed if it has already been added.
| evictLru ()
| Evicts the page from the LRU.
SimpleLru | getLru ()
| Returns the LRU that manages this page, or NULL if it is not currently managed by any LRU.
unsigned int | getLruSize ()
| Returns the size of this page as reported to the LRU, presumably in bytes.
| markUsedLru (SimpleLru lru)
| To be called when the page is used; this will move it to the tail of the specified SimpleLru queue.
| markUsedLru ()
| To be called when the page is used; this will move it to the tail of the SimpleLru queue it is already on.
SimpleLruPage | operator= (SimpleLruPage const copy)
| output (ostream out)
| setLruSize (unsigned int lru_size)
| Specifies the size of this page, presumably in bytes, although any unit is possible.
| write (ostream out, int indent_level)

## Detailed Description

One atomic piece that may be managed by a SimpleLru chain.

To use this class, inherit from it and override evict_lru().

## Constructor & Destructor Documentation

SimpleLruPage | ( | SimpleLruPage const | copy | ) |

SimpleLruPage | ( | unsigned int | lru_size | ) |

## Member Function Documentation

dequeueLru | ( |  | ) |

Removes the page from its SimpleLru.

enqueueLru | ( | SimpleLru | lru | ) |

Adds the page to the LRU for the first time, or marks it recently-accessed if it has already been added.

If lru is NULL, it means to remove this page from its LRU.

evictLru | ( |  | ) |

Evicts the page from the LRU.

Called internally when the LRU determines that it is full. May also be called externally when necessary to explicitly evict the page.

It is legal for this method to either evict the page as requested, do nothing (in which case the eviction will be requested again at the next epoch), or requeue itself on the tail of the queue (in which case the eviction will be requested again much later).

SimpleLru getLru | ( |  | ) |

Returns the LRU that manages this page, or NULL if it is not currently managed by any LRU.

unsigned int getLruSize | ( |  | ) |

Returns the size of this page as reported to the LRU, presumably in bytes.

markUsedLru | ( |  | ) |

To be called when the page is used; this will move it to the tail of the SimpleLru queue it is already on.

This method is const because it's not technically modifying the contents of the page itself.

markUsedLru | ( | SimpleLru | lru | ) |

To be called when the page is used; this will move it to the tail of the specified SimpleLru queue.

SimpleLruPage operator= | ( | SimpleLruPage const | copy | ) |

output | ( | ostream | out | ) |

Reimplemented in VertexDataPage, and GeomVertexArrayData.

setLruSize | ( | unsigned int | lru_size | ) |

Specifies the size of this page, presumably in bytes, although any unit is possible.

write | ( | ostream | out,
|  | int | indent_level
| ) |  |

Reimplemented in VertexDataPage, and GeomVertexArrayData.

All Classes Namespaces Functions Variables Enumerations Enumerator Properties